diff docker/prosody_e2e/entrypoint.sh @ 3381:127dde80a0a5

docker: dockers images, first draft: This patch introduce new docker images, replacing the unmaintained ones which were in sat_docs. Images + docker-compose files are provided to use SàT backend and Libervia, but also to integrate and configure Prosody and SàT PubSub to run end-to-end tests.
author Goffi <goffi@goffi.org>
date Mon, 19 Oct 2020 09:30:45 +0200
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/docker/prosody_e2e/entrypoint.sh	Mon Oct 19 09:30:45 2020 +0200
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -e
+
+usermod -u "$(stat -c %u /var/lib/prosody/.)" prosody
+
+if [[ "$1" != "prosody" ]]; then
+    exec prosodyctl "$@"
+    exit 0;
+fi
+
+if [ "$LOCAL" -a  "$PASSWORD" -a "$DOMAIN" ] ; then
+    prosodyctl register "$LOCAL" "$DOMAIN" "$PASSWORD"
+fi
+
+exec runuser -u prosody -- "$@"